package com.usky.fire.service.impl;

import com.usky.common.security.utils.SecurityUtils;
import com.usky.fire.domain.BaseBuildExtinguish;
import com.usky.fire.mapper.BaseBuildExtinguishMapper;
import com.usky.fire.service.BaseBuildExtinguishService;
import com.usky.common.mybatis.core.AbstractCrudService;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 * 厂房灭火器 服务实现类
 * </p>
 *
 * @author han
 * @since 2023-03-23
 */
@Service
public class BaseBuildExtinguishServiceImpl extends AbstractCrudService<BaseBuildExtinguishMapper, BaseBuildExtinguish> implements BaseBuildExtinguishService {
    @Override
    public void delBaseBuildExtinguish(Integer id) {
        BaseBuildExtinguish baseBuildExtinguish = new BaseBuildExtinguish();
        baseBuildExtinguish.setId(id);
        baseBuildExtinguish.setDeleteFlag("1");
        this.updateById(baseBuildExtinguish);
    }
}
